Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Interface AbstractTogglePanelItemInterface

All Superinterfaces:
  AbstractDivPanel, org.richfaces.component.VisitChildrenRejectable

All Known Subinterfaces:
  AbstractTogglePanelTitledItem

All Known Implementing Classes:
  AbstractAccordionItem, AbstractTab, AbstractTogglePanelItem, UIAccordionItem, UITab, UITogglePanelItem

    public interface AbstractTogglePanelItemInterface

extends AbstractDivPanel, org.richfaces.component.VisitChildrenRejectable

Author:
  Brian Leathem

Method Summary
`String` | `getClientId()`
`String` | `getName()`
`String` | `getOnenter()` The function to perform when the mouse enters the panel
`String` | `getOnleave()` The function to perform when the mouse leaves the panel.
`AbstractTogglePanel` | `getParentPanel()`
`org.richfaces.component.SwitchType` | `getSwitchType()`
`boolean` | `isActive()`
`boolean` | `isDynamicPanelItem()`
`boolean` | `isRendered()`

Methods inherited from interface org.richfaces.component.AbstractDivPanel
`getDir, getLang, getOnclick, getOndblclick, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getStyle, getStyleClass, getTitle`

Methods inherited from interface org.richfaces.component.VisitChildrenRejectable
`shouldVisitChildren`

Method Detail

### getParentPanel

    AbstractTogglePanel getParentPanel()

### isDynamicPanelItem

    boolean isDynamicPanelItem()

### isActive

    boolean isActive()

### getName

    String getName()

### isRendered

    boolean isRendered()

### getSwitchType

    org.richfaces.component.SwitchType getSwitchType()

### getOnenter

    String getOnenter()

  The function to perform when the mouse enters the panel

### getOnleave

    String getOnleave()

  The function to perform when the mouse leaves the panel.

### getClientId

    String getClientId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.